<?php
  define('_IN_JOHNCMS', 1);
$headmod = 'war worlds';
$textl = 'Рыночная площадь';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");


if (!$user_id) {
    header('Location: http://nadmad.ru');
    exit;
}
include_once("tmn.php");
$action=htmlspecialchars(trim($_GET['action']));

switch ($action){

default:
echo '<div class="phdr">Рыночная площадь</div>';

$tovar=mysql_result(mysql_query("SELECT count(*) FROM `wwbazar` WHERE `tip` = '$user[clas]'"),0);

if($tovar==0){echo '<div class="menu">Для вас нет ничего! Посмотреть что продают для других игроков? <a href="?action=all">[Да]</a> | <a href="inv.php">[Нет]</a></div>';break;};

$clas = $user['clas'];

$cena=mysql_query("SELECT * FROM `wwbazar` WHERE `tip` = '$user[clas]' ORDER BY `id`");
while($row=mysql_fetch_assoc($cena)){
echo''.$row['name'].' ['.$row['cena'].']<br />'; if($row['tip'] == $clas && $row['uid'] != $user_id) echo '| <a href="?action=buy&amp;id='.$row['id'].'"><small>[Купить]</small></a><br />';
if($row['brona'] == 0) {
echo '<small><br />Мин.Урон: '.$row['minu'].'<br />Макс.Урон: '.$row['maxu'].'</small><br />';
if($row['tip'] == 1){
 echo 'Для воина!<br />';   
}
if($row['tip'] == 2){
 echo 'Для Лучника!<br />';   
}else{
    echo 'Для Мага!<br />'; 
}
} else {
    echo '<small>Защита: '.$row['brona'].'</small><br />';

}
};
break;


case 'all':
echo '<div class="phdr">Рыночная площадь</div>';

$tovar=mysql_result(mysql_query("SELECT count(*) FROM `wwbazar`"),0);

if($tovar==0){echo '<div class="menu">Пусто... ничего не продают...</div>';break;};


$clas = $user['clas'];

$cena=mysql_query("SELECT * FROM `wwbazar` ORDER BY `id`");
while($row=mysql_fetch_assoc($cena)){
echo''.$row['name'].' ['.$row['cena'].']';
if($row['brona'] == 0) {
echo '<small><br />Мин.Урон: '.$row['minu'].'<br />Макс.Урон: '.$row['maxu'].'</small><br/>';
if($row['tip'] == 1){
 echo 'Для воина!<br />';   
}
if($row['tip'] == 2){
 echo 'Для Лучника!<br />';   
}else{
    echo 'Для Мага!<br />'; 
}
echo '---<br />';
} else {
    echo '<small><br />Защита: '.$row['brona'].'</small><br />';
    echo '---<br />';

}

};

break;



case 'buy':

$pr=(int)$_GET['id'];
$plus=mysql_query("SELECT * FROM `wwbazar` WHERE `id`='$pr'");

if(!mysql_num_rows($plus)){echo 'Ошибка: Такая вещь не продаеться!';}
$rise=mysql_fetch_assoc($plus);
if($rise['uid'] == $user_id){
    echo 'Вы не можете покупать у самого себя!';break;
};

if($rise['cena'] < $user['coins']){
    if($rise['tip'] != $user['clas']) {
        echo 'Эта вещь вам не подойдет! Вы не можете покупать вещи для других класов!';
    }else{
        mysql_query("UPDATE `uww` SET `coins` = `coins` + '$rise[cena]' WHERE `uid` = '$rise[uid]' LIMIT 1");
        mysql_query("UPDATE `uww` SET `coins` = `coins` - '$rise[cena]' WHERE `uid` = '$user_id' LIMIT 1");
        mysql_query("UPDATE `wwinv` SET `uid` = '$user_id' WHERE `id` = '$rise[id]' LIMIT 1");
        mysql_query("DELETE FROM `wwbazar` WHERE `uid` = '$rise[uid]' AND `id` = '$rise[id]' LIMIT 1");
        
echo '<div class="menu">Вы успешно приобрели '.$rise['name'].' С вашего счета списано '.$rise['cena'].' монет!</div>';
    }
    
    
}else{
    echo 'У вас не достаточно денег!';};

break;

case 'sell':
$pr=(int)$_GET['id'];

$ves4=mysql_query("SELECT * FROM `wwbazar` WHERE `vid`='$pr' AND `uid` = '$user_id'");

if(mysql_num_rows($ves4)){echo 'Эта вещь уже продаеться!';break;}

$plus=mysql_query("SELECT * FROM `wwinv` WHERE `id`='$pr' AND `uid` = '$user_id'");

if(!mysql_num_rows($plus)){echo 'Этой вещи не существует или она не ваша!';break;}
        
$rise=mysql_fetch_assoc($plus);
if($rise['odet'] == 1){echo 'Сначала снимите эту вещь! ';break;}

echo '<div class="phdr">Выставляем на продажу '.$rise['name'].'</div>';

echo '<form action="?action=sel&amp;id='.$pr.'" method="post" name="form" enctype="multipart/form-data">';
echo 'Цена:<br/>';
echo '<input type="text" name="cena" /><br/>';
echo '<input type="submit" value="Добавить" />';
echo '</form>';


break;

case 'sel':
$pr=(int)$_GET['id'];
$cena=(int)$_POST['cena'];
if(!$cena || $cena == 0){echo 'Нужно ввести цену!';break;}
if($cena > 99999){echo 'Цена не может превишать длину более чем 5 цифер!';break;}

$ves4=mysql_query("SELECT * FROM `wwbazar` WHERE `id`='$pr' AND `uid` = '$user_id'");

if(mysql_num_rows($ves4)){echo 'Эта вещь уже продаеться!';break;}

$plus=mysql_query("SELECT * FROM `wwinv` WHERE `id`='$pr' AND `uid` = '$user_id'");

if(!mysql_num_rows($plus)){echo 'Этой вещи не существует или она не ваша!';break;}
        
$rise=mysql_fetch_assoc($plus);
if($rise['odet'] == 1){echo 'Сначала снимите эту вещь! ';break;}

mysql_query("INSERT INTO `wwbazar` (`uid`, `vid`, `logo`, `name`, `minu`, `maxu`, `cena`, `brona`, `tip`, `nad`) VALUES 
('$user_id', '$rise[id]', '$rise[logo]', '$rise[name]', '$rise[min_uron]', '$rise[max_uron]', '$cena', '$rise[brona]', '$user[clas]', '$rise[nad]');");
echo 'Успешно! Ждите покупателя!';

break;

case 'sniat':
$pr=(int)$_GET['id'];

$ves4=mysql_query("SELECT * FROM `wwbazar` WHERE `vid`='$pr' AND `uid` = '$user_id'");

if(!mysql_num_rows($ves4)){echo 'Эта вещь не выставлена на продажу, или она не ваша!';break;}

$plus=mysql_query("SELECT * FROM `wwinv` WHERE `id`='$pr' AND `uid` = '$user_id'");

if(!mysql_num_rows($plus)){echo 'Этой вещи не существует или она не ваша!';break;}
        
$rise=mysql_fetch_assoc($plus);

mysql_query("DELETE FROM `wwbazar` WHERE `vid` = '$pr' AND `uid` = '$user_id'");
echo 'Вы успешно сняли с продажы '.$rise['name'].'';

break;



echo '<div class="menu"><a href="index.php>В игру</a></div>';
};
include_once("foot.php");
echo '<div class="menu"><a href="index.php">В игру</a></div>';
require_once ("../incfiles/end.php");
?>									